/*
 * IBoard.java

    evMiniPool	-	multiplayer pool game engine for mobile phones
    Copyright (C) 2005, Ernestas Vaiciukevicius (ernisv@gmail.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

 *
 * Created on Penktadienis, 2003, Kovo 21, 15.56
 */

package com.ev.minipool;

/**
 * @author Ernestas Vaiciukevicius 
 *
 */
public class BaseBoard {
    protected Ball balls[];
    protected Point bounds;
    protected int ballRadius;
    
    public BaseBoard(Point bounds, int ballRadius) {
        this.bounds = bounds;
        this.ballRadius = ballRadius;
    }
    
    public boolean inField(int x, int y) {
        return (x > 0) && (y > 0) && (x < bounds.x-getBallRadius()) && ( y < bounds.y-getBallRadius());
    }

    public boolean inField(Point p) {
        return inField(p.x, p.y);
    }
    
    public Point getBounds() {
        return bounds;
    }

   public Ball[] getBalls() {
    	return balls;
    }

   public int getBallRadius() {
	   return ballRadius;
   }

   public void setBallRadius(int ballRadius) {
	   this.ballRadius = ballRadius;
   }
   
   public int getMaxVelocity() {
	   return ballRadius - 1;
   }

}
