/*
 * OptionsForm.java

    evMiniPool	-	multiplayer pool game engine for mobile phones
    Copyright (C) 2005, Ernestas Vaiciukevicius (ernisv@gmail.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

 *
 * Created on Pirmadienis, 2003, Kovo 24, 17.04
 */

package com.ev.minipool;

import javax.microedition.lcdui.ChoiceGroup;
import javax.microedition.lcdui.Command;
import javax.microedition.lcdui.CommandListener;
import javax.microedition.lcdui.Display;
import javax.microedition.lcdui.Displayable;
import javax.microedition.lcdui.Form;
import javax.microedition.lcdui.TextField;

import com.ev.minipool.conn.Connectivity;

/**
 * @author Ernestas Vaiciukevicius 
 *
 */
public class ConnectOptionsForm extends Form implements CommandListener {
    protected Command cmdOk;
    protected TextField url;
    protected TextField myNumber;
    protected ChoiceGroup choice;
    protected Displayable exitDisplayable;
    protected Display display;
    protected PoolMIDlet midlet;
    
    public ConnectOptionsForm(PoolMIDlet midlet) {
        super("Connection settings");
        this.midlet = midlet;
        cmdOk = new Command("Ok", Command.OK, 1);
        addCommand(cmdOk);
        url = new TextField("Server address for HTTP connection", midlet.getHTTPRouterAddr(), 128, TextField.URL);
        myNumber = new TextField("Your GSM number", Connectivity.getMyDefaultKey(), 20, TextField.PHONENUMBER);
        choice = new ChoiceGroup("Connect via", ChoiceGroup.EXCLUSIVE, new String[] {"SMS (Siemens)", "HTTP"}, null);
        append(myNumber);
        append(choice);
        append(url);
        
        setCommandListener(this);
    }
    
    public void setURL(String url) {
        this.url.setString(url);
    }
    
    public void setExitDisplayable(Displayable exDisp, Display display) {
        this.exitDisplayable = exDisp;
        this.display = display;
    }
    
    public void commandAction(Command c, Displayable s) {
        if (c == cmdOk) {
            Connectivity.setMyDefaultKey(myNumber.getString());
            midlet.initConnection(choice.getSelectedIndex(), url.getString());
            display.setCurrent(exitDisplayable);
        }
    }
    
}
