/*
 * MiniPoolPocket.java

    evMiniPool	-	multiplayer pool game engine for mobile phones
    Copyright (C) 2005, Ernestas Vaiciukevicius (ernisv@gmail.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

 *
 * Created on Penktadienis, 2003, Balandzio 4, 14.55
 */

package com.ev.minipool;

import com.ev.minipool.multiplayer.GamePacket;

/**
 * @author Ernestas Vaiciukevicius 
 *
 */
public class MiniPoolPacket extends GamePacket {
    protected byte aimingForce, ball;
    protected MyFloat angle;
    
    public MiniPoolPacket(byte aimingForce, MyFloat angle, byte ball, byte origId) {
        super(origId);
        this.aimingForce = aimingForce;
        this.angle = angle;
        this.ball = ball;
        sign1 = 'm'; sign2 = 'p';
    }
    
    public byte getAimingForce() {
        return aimingForce;
    }
    
    public MyFloat getAngle() {
        return angle;
    }
    
    public byte getBall() {
        return ball;
    }
    
    public byte[] parse(byte[] data) throws Exception {
        data = super.parse(data);
        aimingForce = data[0];
        ball = data[1];
        byte[] buf = new byte[5];
        System.arraycopy(data, 2, buf, 0, 5);
        angle = MyFloat.valueOf(buf);
        buf = new byte[data.length - 7];
        System.arraycopy(data, 7, buf, 0, buf.length);
        return buf;
    }
    
    public byte[] toByteArray() {
        byte[] buf = super.toByteArray();
        byte[] buf2 = angle.toByteArray();
        byte[] ret = new byte[buf.length+buf2.length+2];
        System.arraycopy(buf, 0, ret, 0, buf.length);
        ret[buf.length] = aimingForce;
        ret[buf.length+1] = ball;
        System.arraycopy(buf2, 0, ret, 2+buf.length, buf2.length);
        return ret;
    }
}
