/*
 * Point.java

    evMiniPool	-	multiplayer pool game engine for mobile phones
    Copyright (C) 2005, Ernestas Vaiciukevicius (ernisv@gmail.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

 *
 * Created on Antradienis, 2003, Vasario 25, 14.20
 */

package com.ev.minipool;

/**
 * @author Ernestas Vaiciukevicius 
 *
 */
public class Point extends Object {
    public int x, y;
    public static final Point nullPoint = new Point(0, 0);

    /** Creates new Point */
    public Point() {
        x = 0; y = 0;
    }
    
    public Point(int x, int y) {
        this.x = x; this.y = y;
    }
    
    public Point(Point p) {
        x = p.x; y = p.y;
    }
    
    public Point addVector(Point v2) {
        x = x+v2.x;
        y = y+v2.y;
        return this;
    }
    
    public Point subVector(Point v2) {
        x = x-v2.x;
        y = y-v2.y;
        return this;
    }
    
    public boolean equals(Point p) {
        return x == p.x && y == p.y;
    }
    
    public String toString() {
        return "("+x+","+y+")";
    }
}
