/*
 * SmsStartForm.java

    evMiniPool	-	multiplayer pool game engine for mobile phones
    Copyright (C) 2005, Ernestas Vaiciukevicius (ernisv@gmail.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

 *
 * Created on Penktadienis, 2003, Baland�io 4, 15.27
 */

package com.ev.minipool;

import javax.microedition.lcdui.Command;
import javax.microedition.lcdui.CommandListener;
import javax.microedition.lcdui.Display;
import javax.microedition.lcdui.Displayable;
import javax.microedition.lcdui.Form;
import javax.microedition.lcdui.TextField;

import com.ev.minipool.conn.ConnectionProvider;
import com.ev.minipool.conn.Connectivity;
import com.ev.minipool.multiplayer.MultiplayerGame;

/**
 *
 * @author  BLACK
 * @version
 */
public class StartForm extends Form implements CommandListener {
    protected PoolMIDlet midlet;
    protected MultiplayerGame mgame;
    protected Command cmdOk, cmdAdd;
    protected TextField myNumber, number;
    
    public StartForm(PoolMIDlet midlet, MultiplayerGame mgame) {
        super("SMS connections");
        this.midlet = midlet;
        this.mgame = mgame;
        cmdOk = new Command("Ok", Command.OK, 5);
        cmdAdd = new Command("Add player", Command.ITEM, 4);
        number = new TextField("Enter phone number:", null, 20, TextField.PHONENUMBER);
        addCommand(cmdOk);
        addCommand(cmdAdd);
        setCommandListener(this);
        append("Players invited:");
    }
    
    public void commandAction(Command c, Displayable d) {
        if (d == this) {
            if (c == cmdAdd) {
                Form addForm = new Form("New player");
                addForm.append(number);
                addForm.addCommand(cmdOk);
                addForm.setCommandListener(this);
                Display.getDisplay(midlet).setCurrent(addForm);
            } else if (c == cmdOk) {
                midlet.startGame(true);
            }
        } else {
            if (c == cmdOk) {
                try {
                    ConnectionProvider conn = Connectivity.getConnectionProvider((midlet.getConnType() == 0) ? "sms://"+number.getString()+":1228" : "httprouter://" + midlet.getHTTPRouterAddr() + "["+number.getString()+"]", Connectivity.getMyDefaultKey());
                    conn.connect();
                    mgame.addPlayerConn(conn);
                    append(number.getString()+"; ");
                    Display.getDisplay(midlet).setCurrent(this);
                } catch (Exception e) {
                    Error.log(e, midlet);
                }
            }
        }
    }
    
}
