/*
 * ConnectionProvider.java

    evMiniPool	-	multiplayer pool game engine for mobile phones
    Copyright (C) 2005, Ernestas Vaiciukevicius (ernisv@gmail.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

 *
 * Created on Antradienis, 2003, Kovo 25, 10.36
 */

package com.ev.minipool.conn;


/**
 * @author Ernestas Vaiciukevicius 
 *
 */
public interface ConnectionProvider {
    public String getConnectionString();
    
    public void connect() throws java.io.IOException;
    
    public byte[] receive() throws java.io.IOException;
    
    public void send(byte[] data) throws java.io.IOException;
    
    public void setReceiveListener(ReceiveListener listener);
    
    public ReceiveListener getReceiveListener();
    
    public void suspendListener();
    
    public void resumeListener();
    
    public void disconnect();
}
