/*
 * Connectivity.java

    evMiniPool	-	multiplayer pool game engine for mobile phones
    Copyright (C) 2005, Ernestas Vaiciukevicius (ernisv@gmail.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

 *
 * Created on Penktadienis, 2003, Balandzio 4, 10.51
 */

package com.ev.minipool.conn;




/**
 * @author Ernestas Vaiciukevicius 
 *
 */
public class Connectivity {
    protected static String myKey = null;
    
    public static void setMyDefaultKey(String key) {
        myKey = key;
    }
    
    public static String getMyDefaultKey() {
        return myKey;
    }
    
    public static ConnectionProvider getConnectionProvider(String connStr, String myKey) throws java.io.IOException {
        ConnectionProvider ret = null;
        System.out.println("Connecting:"+connStr);
        if (connStr.indexOf("sms") != -1)
            ret = new SmsConnectionProvider(connStr);
        else if (connStr.indexOf("httprouter") != -1)
            ret = new HttpConnectionProvider(connStr, myKey);
        return ret;
    }
    
    public static ConnectionProvider getConnectionProvider(String connStr) throws java.io.IOException {
        return getConnectionProvider(connStr, myKey);
    }
    
}
