/*
 * SmsConnectionListener.java

    evMiniPool	-	multiplayer pool game engine for mobile phones
    Copyright (C) 2005, Ernestas Vaiciukevicius (ernisv@gmail.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

 *
 * Created on Penktadienis, 2003, Kovo 28, 10.18
 */

package com.ev.minipool.conn;

import java.io.IOException;

import javax.microedition.io.Datagram;
import javax.microedition.io.DatagramConnection;

/**
 * @author Ernestas Vaiciukevicius 
 *
 */
public class SmsConnectionListener extends Thread {
    public ReceiveListener listener;
    public DatagramConnection conn;
    
    public SmsConnectionListener(ReceiveListener listener, DatagramConnection conn) {
        this.conn = conn;
        this.listener = listener;
    }
    
    public void stopListener() {
        listener = null;
    }
    
    public ReceiveListener getListener() {
        return listener;
    }
    
    public void run() {
        System.out.println("Listening...");
        while (listener != null) {
            try {
                Datagram dg = conn.newDatagram(0);
                boolean retry;
                do {
System.out.println("Listener("+this.toString()+"): waiting loop begin...");                
                    retry = false;
                    try {
                        conn.receive(dg);
                    } catch (IOException ex) {
                        retry = true;
                    }
                } while (retry && listener != null);
System.out.println("Listener("+this.toString()+"): some received...");                
                try {
                    if (listener != null) listener.dataReceived(dg.getData());
                } catch (NullPointerException e) { };
            } catch (Exception e) {
                e.printStackTrace();
            };
        }
        conn = null;        
        System.out.println("End listening...");
    }
    
    public void changeListener(ReceiveListener newListener) {
        listener = newListener;
    }
    
    
}
