/*
 * GamePocket.java

    evMiniPool	-	multiplayer pool game engine for mobile phones
    Copyright (C) 2005, Ernestas Vaiciukevicius (ernisv@gmail.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

 *
 * Created on Ketvirtadienis, 2003, Balandzio 3, 17.03
 */

package com.ev.minipool.multiplayer;

/**
 * @author Ernestas Vaiciukevicius 
 *
 */
public class GamePacket {
        protected byte origId;
        protected byte sign1, sign2;
        
        public GamePacket(byte id) {
            setOriginatorId(id);
            sign1 = 'g'; sign2 = 'p';
        }
        
        public void setOriginatorId(byte id) {
            origId = id;
        }
        
        public byte getOriginatorId() {
            return origId;
        }
        
        public byte[] toByteArray() {
            byte[] buf = new byte[3];
            buf[0] = sign1;
            buf[1] = sign2;
            buf[2] = origId;
            return buf;
        };
        public byte[] parse(byte[] data) throws Exception {
            if (data[0] != sign1 || data[1] != sign2) throw new Exception("Wrong pocket format");
            origId = data[2];
            byte[] buf = new byte[data.length-3];
            System.arraycopy(data, 3, buf, 0, buf.length);
            return buf;
        };
}
